import fsb5

# read the file into a FSB5 object
filename = input("Please give the name of the FSB file. The info file will be assumed to be the same filename adn extension with a '.info' suffix: ")


with open(filename, 'rb') as f:
  fsb = fsb5.FSB5(f.read())

# get the extension of samples based off the sound format specified in the header
ext = fsb.get_sample_extension()

info_file = open(filename + '.info', 'rb+')

# iterate over samples
for sample in fsb.samples:
  info_file.seek(4,1)
  # print sample properties
  print('''\t{sample.name}.{extension}:
  Frequency: {sample.frequency}
  Channels: {sample.channels}
  Samples: {sample.samples}'''.format(sample=sample, extension=ext))
  info_file.write((sample.samples * 2 * sample.channels).to_bytes(4, byteorder="little"))
  info_file.write(sample.channels.to_bytes(1, byteorder="little"))
  info_file.seek(11,1)
  info_file.write(sample.samples.to_bytes(4, byteorder="little"))
  info_file.seek(256,1)


info_file.close()